Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.monitoring.statistics.aspects
Class CacheStatisticsAspect

    java.lang.Object
      org.apache.cocoon.monitoring.statistics.aspects.CacheStatisticsAspect

All Implemented Interfaces:
  StatisticsEnabled

    public class CacheStatisticsAspect

extends Object
implements StatisticsEnabled

Constructor Summary
`CacheStatisticsAspect()`
`CacheStatisticsAspect(long maxKeepTime, long refreshDelay)`

Method Summary
`StatisticsSourceEnabled` | `getStatistics()`
`void` | `handleCacheGetRequest(CacheKey key)`
`void` | `handleCachePutRequest(CacheKey key)`
`String` | `statisticsSourceName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheStatisticsAspect

    public CacheStatisticsAspect()

### CacheStatisticsAspect

    public CacheStatisticsAspect(long maxKeepTime,
                                 long refreshDelay)

Method Detail

### handleCachePutRequest

    public void handleCachePutRequest(CacheKey key)
                               throws Throwable

  Throws:
    `Throwable`

### handleCacheGetRequest

    public void handleCacheGetRequest(CacheKey key)
                               throws Throwable

  Throws:
    `Throwable`

### getStatistics

    public StatisticsSourceEnabled getStatistics()

  Specified by:
    `getStatistics` in interface `StatisticsEnabled`

### statisticsSourceName

    public String statisticsSourceName()

  Specified by:
    `statisticsSourceName` in interface `StatisticsEnabled`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.